-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
--[C6Staging].[ST_SELECT_FOR_ADS4WS] 1
CREATE procedure [C6StagingPeriodico].[ST_SELECT_FOR_ADS4WS_EMAIL]
	@Tipo AS INTEGER
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'ST_SELECT_FOR_ADS4WS_EMAIL',
		GETDATE(),
		'Elaborazione trimestrale'
	)
	IF @Tipo = 1
	BEGIN
		-- ELIMINIAMO I CODICI FITTIZI
		SELECT DISTINCT 
			C6.RETE,
			C6.COD_AGENTE AS AGENTE,
			CASE C6.RETE 
				WHEN 'F' THEN 'R' 
				ELSE 'P' 
			END AS PREFISSO,
			CASE C6.RETE 
				WHEN 'F' THEN 'R' 
				ELSE 'P' 
			END + C6.COD_AGENTE AS FIRMA
		FROM C6MartPeriodico.vContrattiPerGenerazioneReportEmail C6
		LEFT JOIN C6MART.CODICI_PROMOTORI_FITTIZI PF
			ON (C6.COD_AGENTE BETWEEN PF.CODICEDA AND PF.CODICEA)
			AND C6.RETE = PF.RETE
		WHERE PF.RETE IS NULL
	END 
	ELSE
	BEGIN
		-- PRENDO I CODICI FITTIZI
		SELECT DISTINCT 
			C6.RETE,
			C6.COD_AGENTE AS AGENTE,
			CASE C6.RETE 
				WHEN 'F' THEN 'R' 
				ELSE 'P' 
			END AS PREFISSO,
			CASE C6.RETE 
				WHEN 'F' THEN 'R' 
				ELSE 'P' 
			END + C6.COD_AGENTE AS FIRMA
		FROM C6MartPeriodico.vContrattiPerGenerazioneReportEmail C6
		INNER JOIN C6MART.CODICI_PROMOTORI_FITTIZI PF
			ON (C6.COD_AGENTE BETWEEN PF.CODICEDA AND PF.CODICEA)
			AND C6.RETE = PF.RETE
	END
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'SELECT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'ST_SELECT_FOR_ADS4WS_EMAIL' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'ST_SELECT_FOR_ADS4WS_EMAIL'
		)
END